#!/bin/sh

#PVRHub envsetup.sh
#This script will setup the environment for Linux systems
#NOTE: It must be sourced from the PVRHub root directory: . Scripts/envsetup.sh

echo "Setting the shell to use PVRTrace..."

#Check that this script has not ben run before
if [ $PVRHUB_DIR ]; then
	echo "ERROR: PVRHUB_DIR is already set. Have you sourced that script already?"	
#	return
fi

#Set PVRHUB_DIR as the current directory
export PVRHUB_DIR=`pwd`
echo "
    PVRHub directory set up as $PVRHUB_DIR"

#Check if PVRHUB_DIR looks as it should
#TODO: Make a more robust checking
if [ ! -f $PVRHUB_DIR/PVRTrace/Recorder/_SKELETON_CONFIG.json ]; then
	echo "ERROR: Cannot find PVRTrace/Recorder/_SKELETON_CONFIG.json. Are you sourcing this script from the PVRHub root?"	
	return
fi

#Create the recordings/ directory if it does not exist
if [ ! -d $PVRHUB_DIR/recordings ]; then
	mkdir $PVRHUB_DIR/recordings/
fi

#Create config
$PVRHUB_DIR/Scripts/create_default_cfg.sh

#Update the PATH
export PATH=$PVRHUB_DIR/Scripts/:$PATH
echo "
    Path updated with the Scripts/ directory"

#Save the LD_LIBRARY_PATH
export OLD_LD_LIBRARY_PATH=$LD_LIBRARY_PATH
echo "
    NOTE: The old LD_LIBRARY_PATH has been saved to OLD_LD_LIBRARY_PATH"

#Dump some useful information
echo "
    Instructions: 
        Run: \"source Scripts/start_tracing.sh\" to start a system wide trace.
        Run: \"source Scripts/stop_tracing.sh\" to stop the system wide trace.
        Run: \"pvr_trace Application\" to trace the desired application.
        Run: \"pvr_profile Application\" to profile the desired application."
echo "
Environment setup OK"
